28.06.2018 10:39
OlegON
 
Цитата:
Dim Клиент Oracle некорректно установлен или не зарегистрирован OraOLEDB12.dll (либо OraOLEDB11.dll, OraOLEDB10.dll...)
В общем, "все работало, но мы решили сломать", судя по объяснению...
У кого-то сломалось? Есть такое подозрение, что жертвами выступают те, кто ставил клиента без отключения UAC или с какими-то нюансами антивируса. У меня пока вообще нигде проблема не засветилась, но лучше ее обсудить, пока не налетели, чем постфактум по потолку бегать.
28.06.2018 10:49
Mtirt
 
Просто еще раз зарегистрировать эту библиотеку.
Цитата:
От разработчика:

При установке клиента Оракла он должен регистрировать dll оракл провайдера для OLE DB OraOLEDBxx.dll . Если клиентов установлено несколько, то регистрируется dll последнего установленного из них. Если после этого клиенты меняются местами перестановкой пути в path, то может случиться так, что OraOLEDBxx.dll будет браться из одного клиента, а остальные dll от другого. В таком случае возникают ошибки, на которые выводится сообщение из письма ниже
28.06.2018 11:24
OlegON
 
Судя по сообщению, окончательное решение глюка пока и не найдено...
29.06.2018 08:33
ArchiHaki
 
Еле еле отходим от обновления до 1.037, которое делали в ночь со вторника на среду. На половине серверов и на всех пользовательских компьютерах словили данную проблему. Скорее всего проблема в установленном "runtime" клиенте оракла. Решение: заменить папку \client\BIN с заведомо беспроблемно обновленной машины, и перегестрировать dll. Самое интересное с серверами, они все у нас из одной сборки, антивируса нет, UAC отключен, пока разбираться не было времени. После бессонной ночи к утру оказалось, что и дистрибутив был косячный. Спасибо С+ за то, что они выкладывают на ftp beta версии, потом их перезаливают никого об этом не предупредив.
29.06.2018 14:29
overlord
 
Вчера обновлял на 1.037, прошло без запинок на всех серверах и клиентах, по ощущениям, стало быстрее работать. При установке на рабочие станции Кашпировский ругается на вирус рекламный в dll-ке.
29.06.2018 23:31
Офигевший
 
Каспер давно на Супермаг ругается, видимо ждет, чтобы денег занесли. С Симантеком на клиетских машинах таких проблем не помню.
02.07.2018 10:03
-Den-
 
Мы симантик ставим в самую последнюю очерет))), и папки см2000 и orant сразу в исключения)
05.07.2018 08:57
AlexLog
 
У нас на старых машинках клиент 8.1.7 (версия 1031.2)
Тестирую обновление 1037, вижу, что клиента придется обновлять на 11й.
Хотя инсталлятор говорит, что клиент нужен 8.1.7 или старше. Лжет... )))
Миниатюры
Нажмите на изображение для увеличения
Название: 1037инст.jpg
Просмотров: 229
Размер:	128.3 Кб
ID:	9507  
05.02.2019 03:09
qwrty40
 
Цитата:
OlegON Судя по сообщению, окончательное решение глюка пока и не найдено...
Моя поддержка мне говорила, что 1.037.1 этого клиента сама ставит и регистрирует. А я начал обновляться на 1.038 - картина маслом: клиент отсутствует или не зарегистрирован...
06.02.2019 01:03
qwrty40
 
На тестовом серваке, который я с месяц назад апдейтнул до 1.037.1, 1.038 таки взлетела без дополнительного шаманства...

Форум на базе vBulletin®
Copyright © Jelsoft Enterprises Ltd.
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.